=== debian/changelog ===
ros-melodic-moveit-visual-tools (3.5.2-0bionic) bionic; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Sun, 09 Dec 2018 23:00:00 -0000

ros-melodic-moveit-visual-tools (3.5.1-0bionic) bionic; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Nov 2018 23:00:00 -0000

ros-melodic-moveit-visual-tools (3.5.0-0bionic) bionic; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is
    neglectible and could be optimized later
  * Moved boost::shared_ptr to std for tf2
  * Converted to use tf2 moveit interfaces
  * Fix broken CI for Melodic
  * Fix Continuous Integration
  * Contributors: Dave Coleman, Ian McMahon, Mike Lautman, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Tue, 04 Sep 2018 22:00:00 -0000

ros-melodic-moveit-visual-tools (3.4.0-0bionic) bionic; urgency=high

  * Apply current MoveIt clang-format
  * Various improvements needed while finishing planning thesis
  * Fix greater than/less than issue in clearance check
  * Ability to specify clearance for random state
  * Small threading fixes
  * imarker: Fix setToRandomState()
    imarker: Switch to std::makeshared
  * Improve console output
  * Contributors: Dave Coleman, Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Tue, 26 Dec 2017 23:00:00 -0000

ros-melodic-moveit-visual-tools (3.3.0-0bionic) bionic; urgency=high

  * Change error message to warning
  * Make planning scene monitor publicly exposed
  * Remove label from imarkers
  * Ability to move a collision object without removing it first
  * IMarkerRobotState: update imarkers location when setting robot state
  * IMarkerRobotState: Added setRobotState()
  * IMarkerRobotState: Renamed function publishRobotState()
  * MoveItVisualTools: renamed variable to psm_
  * Expose verbose collision checking
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Mon, 19 Jun 2017 22:00:00 -0000

ros-melodic-moveit-visual-tools (3.2.1-0bionic) bionic; urgency=high

  * New publishTrajectoryPath() functions
  * New publishTrajectoryLine() functions
  * getRobotState() return by reference
  * Trajectory path has smaller vertices
  * IMarkerRobotState: added isStateValid()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 01 Nov 2016 23:00:00 -0000

ros-melodic-moveit-visual-tools (3.2.0-0bionic) bionic; urgency=high

  * Added publishState() to imarker_robot_state
  * New publishTrajectoryLine() function that automatically chooses end effectors to visualize
  * New collision table function that takes z input
  * Fixed callbacks for multiple EEFs
  * Allow for two end effectors
  * Ability to use two end effectors for interactive markers
  * Make ik solving at any end effector link, not just end of kinematic chain
  * Better debugging for collision
  * Only save when mouse up
  * Fix API for changes in rviz_visual_tools
  * Allow collision walls to have variable z location
  * Make applyVirtualJointTransform() static
  * Make checkForVirtualJoint() static
  * IMarkerRobotState remove offset capability
  * IMarkerRobotState remove imarker box control
  * Switched travis to MoveIt! CI
  * Added new IMarker Robot control method
  * Cleaned up code base: catkin lint, roslint
  * Fixed bug in planning scene triggering
  * Optimize planning scene updates to only update GEOMETRY
  * Fix xacro
  * Upgrade to Eigen3 per ROS Kinetic requirements
  * New publishRobotState() function
  * Fix Eigen bugs
  * Removed deprecated code
  * Converted to C++11
  * Optional blocking publisher calls
  * Added getter for getRobotRootState()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 19 Oct 2016 22:00:00 -0000

ros-melodic-moveit-visual-tools (3.1.0-0bionic) bionic; urgency=high

  * Re-factored and fixed visual tools demo!
  * Fixes for catkin lint
  * Fixes for roslint
  * Removed deprecated function call
  * Remove deprecated test
  * New root_robot_state utilization
  * Ablity to move a RobotState's root frame permenatly around in the scene
  * Better publishCollisionWall() function
  * Deprecated old publishTrajectoryLine() functions - removed clear_all_markers argument
  * New publishTrajectoryPath() variant
  * Rename namespace of RobotState
  * Made INFO into DEBUG output

