=== debian/control ===
Source: ros-melodic-moveit-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-geometry-msgs, ros-melodic-graph-msgs, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rviz-visual-tools, ros-melodic-std-msgs, ros-melodic-tf2-eigen, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs, ros-melodic-visualization-msgs
Homepage: https://github.com/ros-planning/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-melodic-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cmake-modules, ros-melodic-geometry-msgs, ros-melodic-graph-msgs, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rviz-visual-tools, ros-melodic-std-msgs, ros-melodic-tf2-eigen, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs, ros-melodic-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt! data in Rviz via published markers
